summaryrefslogtreecommitdiff
path: root/home/xyz/.local/bin/gitfork
diff options
context:
space:
mode:
Diffstat (limited to 'home/xyz/.local/bin/gitfork')
-rwxr-xr-xhome/xyz/.local/bin/gitfork8
1 files changed, 8 insertions, 0 deletions
diff --git a/home/xyz/.local/bin/gitfork b/home/xyz/.local/bin/gitfork
new file mode 100755
index 00000000..cefc4f68
--- /dev/null
+++ b/home/xyz/.local/bin/gitfork
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+git clone "$1"
+cd "$(basename "$1" .git)" || exit
+git remote add upstream "$2"
+git branch fly
+git checkout fly
+git push --set-upstream origin fly